# findAllWhere

## Purpose

Uses named arguments that match the property names of the domain class to produce a query that returns all of the matching results.

## Examples

Given the domain class:

    class Book {
       String title
       Date releaseDate
       String author
    }

You can query in the form:

    def books = Book.findAllWhere(author:"Stephen King", title:"The Stand")

## Description

Parameters:

- `queryParams` - A map of key value pairs to be used in the query